%define date 20111220
%define major 2
%define develname %mklibname %{name} -d

Summary:	C++ port of Lucene
Name:		clucene
Version:	2.3.3.4
Release:	%mkrel -c %{date} 2
License:	LGPL
Group:		Archiving/Other
URL:            http://clucene.sourceforge.net/
# Zé: we are using git, so to generate the source file we run:
# git archive --prefix=clucene-2.3.3.4/ master | xz > clucene-2.3.3.4.tar.xz
#Source0:	http://prdownloads.sourceforge.net/clucene/%{name}-core-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.xz
# include LUCENE_SYS_INCLUDES in pkgconfig --cflags output
# imported fedora patch
Patch0:		clucene-core-2.3.3.4-pkgconfig_sys_includes.patch
Patch1:		clucene-2.3.3.4-fix-major.patch
BuildRequires:	cmake
BuildRequires:  zlib-devel

%description
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

#------------------------------------------------------------------------------
%define libclucene_core %mklibname clucene-core %{major} 
%package -n	%{libclucene_core}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
%rename		%{_lib}clucene_core2
Provides:	clucene-core2 

%description -n %{libclucene_core}
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains shared libraries for clucene.

%files -n %{libclucene_core}
%{_libdir}/libclucene-core.so.%{major}*

#------------------------------------------------------------------------------
%define libclucene_shared %mklibname clucene_shared %{major}
%package -n     %{libclucene_shared}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libclucene_shared}
CLucene is a C++ port of Lucene: the high-performance, full-featured
text search engine written in Java. CLucene is faster than lucene
as it is written in C++.

This package contains shared libraries for clucene.

%files -n %{libclucene_shared}
%{_libdir}/libclucene-shared.so.%{major}*

#------------------------------------------------------------------------------
%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libclucene_shared} = %{version}-%{release}
Requires:       %{libclucene_core} = %{version}-%{release}
# Zé: we need to add this provides to avoid break upgrade
%ifnarch x86_64
Provides:	devel(libclucene)
%else
Provides:	devel(libclucene(64bit))
%endif

%description -n	%{develname}
CLucene is a C++ port of Lucene: the high-performance, full-featured 
text search engine written in Java. CLucene is faster than lucene 
as it is written in C++.

This package contains static libraries and development headers for 
clucene.

%files -n %{develname}
%{_includedir}/CLucene.h
%{_includedir}/CLucene/
%{_libdir}/pkgconfig/libclucene-core.pc
%{_libdir}/CLuceneConfig.cmake/CLuceneConfig.cmake
%{_libdir}/libclucene-shared.so
%{_libdir}/libclucene-core.so

#------------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1 -b .pkgconfig_sys_includes
%patch1 -p1 -b .fix-major

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog
* Sun Jan 15 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.3.3.4-0.20111220.2mdv2011.0
+ Revision: 761526
- Provides clucene-core2 package in libname macro

* Tue Dec 20 2011 Zé <ze@mandriva.org> 2.3.3.4-0.20111220.1
+ Revision: 744004
- fix major
-set major

* Tue Dec 20 2011 Zé <ze@mandriva.org> 2.3.3.4-0.20111202.2
+ Revision: 743996
- add missing file clucene-config.h

* Fri Dec 02 2011 Zé <ze@mandriva.org> 2.3.3.4-0.20111202.1
+ Revision: 737186
- fix release
- add provides to avoid break upgrade
- use proper release tag
- arrange spec
- use proper source and creation

* Fri Nov 25 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.3.3.4-0
+ Revision: 733399
- version update 2.3.3.4

* Fri Apr 15 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.9.21b-5
+ Revision: 653181
- Added patch to compile with pthread support.

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.21b-3mdv2010.1
+ Revision: 522386
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.21b-2mdv2010.0
+ Revision: 413255
- rebuild

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.21b-1mdv2009.1
+ Revision: 360135
- Updated to version 0.9.21b

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.9.20-3mdv2009.0
+ Revision: 220506
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.20-2mdv2008.1
+ Revision: 170785
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sun Nov 04 2007 Funda Wang <fwang@mandriva.org> 0.9.20-1mdv2008.1
+ Revision: 105706
- New version 0.9.20

